#!/usr/bin/gnuplot

set colors classic
set term post eps enh color dashed rounded "Helvetica" 18
set size 0.9,0.90

set xl "time [yr]"
set yl "{/Helvetica-Oblique a}, {/Helvetica-Oblique r}  [au]" offset +1.5,0

Rmin=0.2
Rmax=2.0
DampingRminFrac=1.2
DampingRmaxFrac=0.9

x1=0
x2=4000
set xr [x1:x2]
set yr [Rmin:Rmax]

set key at graph 0.95,graph 0.9 samplen 1.0
set grid noxtics noytics front

lw=0.5
set style line 1 lt 1 lw lw
set style line 2 lt 6 lw lw
set style line 3 lt 5 lw lw
set style line 4 lt 3 lw lw
set style line 5 lt 2 lw lw

set lmargin 8.0
set rmargin 2.6
set bmargin 3.1
set tmargin 0.5

