#!/usr/bin/gnuplot

rad = 180./pi

M_S = 1.989e30
M_E = 5.972e24

load "config.plt"
load "pal/plasma.pal"
set out "mars_REBOUND_ai.eps"
set size 0.8,0.75

set xl "{/Helvetica-Oblique a} [au]"
set yl "{/Helvetica-Oblique I} [deg]"
set cbl "mass [{/Helvetica-Oblique M}_E]"

set autoscale x
set autoscale y
set xr [1.20:1.525]
#set xtics 0.02
#set mxtics 2
set yr [:4.1]
set cbr [0.00:0.80]
#set cbtics 0.001
set lmargin 7.0
set rmargin 2.1

p \
  "<awk '($1==5)' ../../mars_REBOUND_0.5EARTH_1.35*/out/*.txt" u 3:($5*rad) not w d lt 9,\
  "<tail -n 5 ../../mars_REBOUND_0.5EARTH_1.35*/out/*.txt | tac | awk '($1==1){ i=0; }($1==5){ print; i++; }($1==4) && (i==0){ print; }' | sort -g -r -k 9" u 3:($5*rad):($9*M_S/M_E) not w p pt 7 ps 1.0 lc palette z,\
  1.850  t "{/Helvetica-Oblique I}_{osc}"   w l lt 0,\
  4.0    t "{/Helvetica-Oblique I}_{prop}"  w l lt 9


system "patch mars_REBOUND_ai.eps config.diff"

