#!/usr/bin/gnuplot

M_S = 1.989e30
M_E = 5.972e24

load "config.plt"
load "pal/plasma.pal"
set out "mercury_REBOUND_ae.eps"
set size 0.8,0.75

set xl "{/Helvetica-Oblique a} [au]"
set yl "{/Helvetica-Oblique e}"
set cbl "mass [{/Helvetica-Oblique M}_E]"

set autoscale x
set autoscale y
set xr [:0.50]
set xtics 0.02
set mxtics 2
set cbr [0.00:0.80]
#set cbtics 0.001
set lmargin 7.0
set rmargin 2.1

p \
  "<awk '($1==1)' ../../mercury_REBOUND_VENUSECC_0.44*/out/*.txt" u 3:4 not w d lt 9,\
  "<tail -n 5 ../../mercury_REBOUND_VENUSECC_0.44*/out/*.txt | awk '(FNR==1){ i=0; }($1==1){ print; i++; }($1==2) && (i==0){ print; }' | sort -g -r -k 9" u 3:4:($9*M_S/M_E) not w p pt 7 ps 1.0 lc palette z

system "patch mercury_REBOUND_ae.eps config.diff"

