#!/usr/bin/gnuplot

deg = pi/180.
rad = 180./pi
set ang rad

M_S = 1.989e30
M_E = 5.972e24

dt = 0.314159
P = 20*dt

f(t) = t/P

load "config.plt"
set term post eps enh color dashed rounded "DejaVuSans" 18
Rmin=1.5
Rmax=4.0

set out "nbody.orbits.ai5_END_0.01.eps"
set size 0.9,0.60

set xl "{/DejaVuSans-Oblique a} [au]"  offset 0.0,0
set yl "{/DejaVuSans-Oblique I} [deg]" offset 0.5,0
set cbl "embryo or asteroid number" offset +0.0,0

set xr [1.5:4.0]
set logscale y
set autoscale y
y1=1.e-2
y2=10.0
set yr [y1:y2]
set ytics (\
  "0.01"    1e-2 0,\
  ""        2e-2 1,\
  ""        3e-2 1,\
  ""        4e-2 1,\
  ""        5e-2 1,\
  ""        6e-2 1,\
  ""        7e-2 1,\
  ""        8e-2 1,\
  ""        9e-2 1,\
  "0.1"     1e-1 0,\
  ""        2e-1 1,\
  ""        3e-1 1,\
  ""        4e-1 1,\
  ""        5e-1 1,\
  ""        6e-1 1,\
  ""        7e-1 1,\
  ""        8e-1 1,\
  ""        9e-1 1,\
  "1"       1    0,\
  ""        2    1,\
  ""        3    1,\
  ""        4    1,\
  ""        5    1,\
  ""        6    1,\
  ""        7    1,\
  ""        8    1,\
  ""        9    1,\
  "10"     10    0 \
  )

set cbr [1:120]
set nocolorbox

set lmargin 7.0
set rmargin 1.5

p \
  "box.dat" u (Rmin+$2*(DampingRminFrac*Rmin-Rmin)):(y1+$1*(y2-y1)) w filledcurves not lc rgb '#cccccc',\
  "box.dat" u (Rmax-$2*(Rmax-DampingRmaxFrac*Rmax)):(y1+$1*(y2-y1)) w filledcurves not lc rgb '#dddddd',\
  "<head -120 ../mainbelt/out_PLEIADES/nbody.orbits.dat_20" u 3:($5*rad) not w p lc 9 lw 1.0 pt 1 ps 1,\
  "<head -120 ../mainbelt/out_PLEIADES/nbody.orbits.dat_20" u 3:($5*rad):($9*M_S/M_E/0.1*1.0) not w p lc 9 pt 7 ps var,\
  "<tail -120 ../mainbelt/out_PLEIADES/nbody.orbits.dat_20" u 3:($5*rad):1 not w p lc palette z lw 1.5 pt 1 ps 1,\
  "<tail -120 ../mainbelt/out_PLEIADES/nbody.orbits.dat_20" u 3:($5*rad):($9*M_S/M_E/0.1*1.0):1 not w p lc palette z pt 7 ps var

#pa -1

q

#  "<awk '($9>0.05*3.e-6) || (NF==0)' ../mainbelt/out_PLEIADES/640_960.srt | awk '{ j++; } (j==1){ a=$3; i=$5; } (j==2){ print a,$5; print $3,$5; } (NF==0){ j=0; print; }'" u 1:($2*rad) not w l lc 1,\

