#!/usr/bin/env python

import math

def interp(x1, x2, y1, y2, x):
    if abs(x1-x) < abs(x2-x):
        return y1
    else:
        return y2

def nbody(filename, rng, fce, input, output, Ninterm=500, dt=0.314159, directory="", **kwargs):
    
    t = []
    x = []
    y = []
    z = []
    vx = []
    vy = []
    vz = []
    m = []
    R = []
    i = []
    ttmp = []
    xtmp = []
    ytmp = []
    ztmp = []
    vxtmp = []
    vytmp = []
    vztmp = []
    mtmp = []
    Rtmp = []
    itmp = []

    tmp = directory+filename
    print "file = ", tmp
    f = open(tmp, "r")
    for line in f.readlines():
        l = line.split()
        k = int(l[0])

        if k == 1 and len(xtmp) > 0:
            t.append(ttmp[0])
            x.append(xtmp)
            y.append(ytmp)
            z.append(ztmp)
            vx.append(vxtmp)
            vy.append(vytmp)
            vz.append(vztmp)
            m.append(mtmp)
            R.append(Rtmp)
            i.append(itmp)
            ttmp = []
            xtmp = []
            ytmp = []
            ztmp = []
            vxtmp = []
            vytmp = []
            vztmp = []
            mtmp = []
            itmp = []

        ttmp.append(float(l[1]))
        itmp.append(float(l[4]))
        mtmp.append(float(l[8]))
        Rtmp.append(float(l[11]))
        xtmp.append(float(l[12]))   
        ytmp.append(float(l[13]))
        ztmp.append(float(l[14]))
        vxtmp.append(float(l[15]))   
        vytmp.append(float(l[16]))
        vztmp.append(float(l[17]))
    
    t.append(ttmp[0])
    x.append(xtmp)
    y.append(ytmp)
    z.append(ztmp)
    vx.append(vxtmp)
    vy.append(vytmp)
    vz.append(vztmp)
    m.append(mtmp)
    R.append(Rtmp)
    i.append(itmp)
    f.close()

    j = 1
    for l in rng:
        tmp = l*dt*Ninterm
        print "tmp = ", tmp
        while t[j] < tmp and j < len(t)-1:
            j += 1
        print "j = ", j
        print "t[j-1] = ", t[j-1]
        print "t[j] = ", t[j]

        xp = []
        yp = []
        zp = []
        vxp = []
        vyp = []
        vzp = []
        mp = []
        ip = []
        Rp = []
        RH = []
        for k in xrange(0,len(x[j])):
            xp.append(interp(t[j-1], t[j], x[j-1][k], x[j][k], tmp))
            yp.append(interp(t[j-1], t[j], y[j-1][k], y[j][k], tmp))
            zp.append(interp(t[j-1], t[j], z[j-1][k], z[j][k], tmp))
            vxp.append(interp(t[j-1], t[j], vx[j-1][k], vx[j][k], tmp))
            vyp.append(interp(t[j-1], t[j], vy[j-1][k], vy[j][k], tmp))
            vzp.append(interp(t[j-1], t[j], vz[j-1][k], vz[j][k], tmp))
            mp.append(interp(t[j-1], t[j], m[j-1][k], m[j][k], tmp))
            Rp.append(interp(t[j-1], t[j], R[j-1][k], R[j][k], tmp))
            ip.append(interp(t[j-1], t[j], i[j-1][k], i[j][k], tmp))

            r = math.sqrt(xp[k]*xp[k] + yp[k]*yp[k] + zp[k]*zp[k])
            R_Hill = r*pow(mp[k]/(3.0*1.0), 1./3.)
            RH.append(R_Hill)
            print "r = ", r, " au"

        input2 = input % (l)
        output2 = output % (l)
        fce(input2, out=output2, directory=directory, xp=xp, yp=yp, zp=zp, vxp=vxp, vyp=vyp, vzp=vzp, Rp=Rp, RH=RH, ip=ip, **kwargs)


