#!/usr/bin/env python

import sys
import struct
import numpy as np

def readdat(filename, nr, nphi):
    nbytes = nr*nphi*8
    print "filename = " + str(filename)
    print "nbytes = " + str(nbytes)

    f = open(filename, "r")
    data = f.read(nbytes)
    f.close()

    size = len(data)
    fmt = 'd'
    size = size/struct.calcsize(fmt)
    fmt = size*fmt
    data = np.array(struct.unpack(fmt, data)).reshape(nr,nphi)
    return data

def pebblesize(filename, out=None, interactive=True, nr=1024, nphi=1536):
    data = readdat(filename, nr, nphi)
    if out == None:
        out = filename + ".txt"
    f = open(out, "w")
    for i in xrange(0,nr):
        f.write("%.8e\n" % (data[i][0]))
    f.close()

def main():
    if len(sys.argv) > 2:
        for filename in sys.argv[1:]:
            pebblesize(filename, interactive=False)
    elif len(sys.argv) == 2:
        filename = sys.argv[1]
        pebblesize(filename)
    else:
        filename = "gaspebblesize0.dat"
        pebblesize(filename)

if __name__ == "__main__":
    main()


