#!/usr/bin/gnuplot

set term post eps enh color solid "Helvetica" 18
set out "hist4.eps"
set size 0.8,1.0

set xl "{/Helvetica-Oblique N}_{pl}"
set yl "{/Helvetica-Oblique N}_{sim}"

set xr [0.5:8.5]
set yr [0:35]
set ytics 10
set nokey
set style fill solid 0.5
set grid noxtics noytics front

set style line 1 lt 3 lw 3.0
set style line 2 lt 4 lw 3.0

set lmargin 7.0
set rmargin 0.5
set bmargin 3.3
set tmargin 0.6

set multiplot
set origin 0,0.5
set size 0.8,0.5

tmp=4; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0 front

p "../../symba11b_reductions3/hist.out_h" u ($1+0.5):3 w boxes ls 1

########################################################################

set origin 0,0.0
set xl "{/Helvetica-Oblique M}_2/M_1"
 
set xr [0.0:1.0]
set yr [0:20]
set mytics 2

set label "{/Helvetica-Oblique M}_1+{/Helvetica-Oblique M}_2 {/Symbol{\316}} (0.8; 1.2) {/Helvetica-Oblique M}_E" at graph 0.95,0.85 right
set label "0.1" at 0.1,graph -0.10 center
tmp=0.1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0 front

p "../../symba11b_reductions3/hist4.out_h" u 1:3  w boxes ls 2

########################################################################


