#!/usr/bin/gnuplot

set term post eps enh color solid "Helvetica" 18
set out "hist_symba9.eps"
set size 0.8,2.5

set xl "{/Helvetica-Oblique N}_{pl}"
set yl "{/Helvetica-Oblique N}_{sim}"

#set xr [0.5:8.5]
set yr [0:20]
set ytics 5
set nokey
set style fill solid 0.5
set grid noxtics noytics front

set style line 1 lt 3 lw 3.0
set style line 2 lt 4 lw 3.0

set lmargin 7.0
set rmargin 0.5
set bmargin 3.3
set tmargin 0.6

set multiplot
set origin 0,0
set size 0.8,0.5

tmp=4; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0 front

p "../../symba9/hist.out_h" u ($1+0.5):3 w boxes ls 1

########################################################################

set origin 0,0.5
set xl "{/Helvetica-Oblique S}_s (orbital spacing)"
#set xr [0:42.5]
set autoscale x
set autoscale y
set noarrow
 
tmp=37.6768; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0 front

p "../../symba9/Ss.out_h" u 1:3  w boxes

########################################################################

set origin 0,1.0
set xl "{/Helvetica-Oblique S}_d (angular momentum deficit)"
#set xr [0:0.00225]
set noarrow
 
tmp=0.0018; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0 front

p "../../symba9/Sd.out_h" u 1:3  w boxes

########################################################################

set origin 0,1.5
set xl "{/Helvetica-Oblique S}_c (mass concentration)"
#set xr [0:550]
set noarrow
 
tmp=89.748222; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0 front

p "../../symba9/Sc.out_h" u 1:3  w boxes

########################################################################

set origin 0,2.0
set xl "{/Helvetica-Oblique M}_2/M_1 (final impacts)"
set xr [0.0:1.0]
set yr [0:10]
set mytics 5
set noarrow

set label "{/Helvetica-Oblique M}_1+{/Helvetica-Oblique M}_2 {/Symbol{\316}} (0.8; 1.2) {/Helvetica-Oblique M}_E" at graph 0.95,0.85 right
set label "0.1" at 0.1,graph -0.10 center
tmp=0.1; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0 front

p "../../symba9/hist3.out_h" u 1:3  w boxes ls 2

########################################################################


