#!/usr/bin/gnuplot

dt = 0.314159
P = 20*dt

f(t) = t/P

set colors classic

set term post eps enh color dashed "Helvetica" 18
set out "test_earth_nbody.orbits.et.eps"

load "config_EPS.plt"

set size 0.8,0.45

set xl "time [yr]"
set yl "{/Helvetica-Oblique e}" offset 0.5,0

set xr [0:22500]
set xr [0:12500]
set xr [0:17500]
set autoscale y
set ytics 0.005
#set xtics format ""
set key at graph 0.4,graph 0.9 spacing 1.2 font "Helvetica,14"

set lmargin 9.0
set rmargin 1.0
#set bmargin 0.6
set bmargin 3.1
set tmargin 0.7

p \
  "<awk '($1==3)' ../../5planet_1over10/out_META/nbody.orbits.dat"       u (f($2)):4 not                                  w l lt 0,\
  "<awk '($1==1)' ../../5planet_1over10_EARTH/out_META/nbody.orbits.dat" u (f($2)):4 not                                  w l ls 3 lw 2,\

system("patch test_earth_nbody.orbits.et.eps config.diff")

q

  "<awk '($1==3)' ../../5planet_1over10/out_META/nbody.orbits.dat"       u (f($2)):4 not                                  w l lt 0,\

