#!/usr/bin/gnuplot

dt = 0.314159
P = 20*dt

f(t) = t/P

set colors classic

set term post eps enh color dashed "Helvetica" 18
set out "test_pebblegrav_nbody.orbits.at_2.eps"

load "config_EPS.plt"

set size 0.8,0.60

set xl "time [yr]"
set yl "{/Helvetica-Oblique a} [au]"

set xr [0:300]
set autoscale y
set ytics 0.0001
set mytics 2
set key at graph 0.40,0.9 spacing 1.2 font "Helvetica,14"

set lmargin 9.0
set rmargin 1.6
set bmargin 3.1
set tmargin 0.7

p \
  "<awk '($1==2)' ../../5planet_1over10_PEBBLEGRAV/out_META/nbody.orbits.dat" u (f($2)):3 t "gas+pebbles gravity" w l ls 2 lw 2,\
  "<awk '($1==2)' ../../5planet_1over10/out_META/nbody.orbits.dat"            u (f($2)):3 t "only gas"            w l lt 0,\
  0.723 not lt 0

system("patch test_pebblegrav_nbody.orbits.at_2.eps config.diff")

q


